Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class Row

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.Row

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class Row extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Recipient" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
             <element name="Published" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="Received" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="Read" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Row()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getPublished()`
  Gets the value of the published property.
  `Instant`
  `getRead()`
  Gets the value of the read property.
  `Instant`
  `getReceived()`
  Gets the value of the received property.
  `EhboxIdentifierType`
  `getRecipient()`
  Gets the value of the recipient property.
  `void`
  `setPublished(Instant value)`
  Sets the value of the published property.
  `void`
  `setRead(Instant value)`
  Sets the value of the read property.
  `void`
  `setReceived(Instant value)`
  Sets the value of the received property.
  `void`
  `setRecipient(EhboxIdentifierType value)`
  Sets the value of the recipient property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Row

    public Row()

- ## Method Details

  - ### getRecipient

    public EhboxIdentifierType getRecipient()
    Gets the value of the recipient property.
    Returns:
      possible object is `EhboxIdentifierType`

  - ### setRecipient

    public void setRecipient(EhboxIdentifierType value)
    Sets the value of the recipient property.
    Parameters:
      `value` - allowed object is `EhboxIdentifierType`

  - ### getPublished

    public Instant getPublished()
    Gets the value of the published property.
    Returns:
      possible object is `String`

  - ### setPublished

    public void setPublished(Instant value)
    Sets the value of the published property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReceived

    public Instant getReceived()
    Gets the value of the received property.
    Returns:
      possible object is `String`

  - ### setReceived

    public void setReceived(Instant value)
    Sets the value of the received property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRead

    public Instant getRead()
    Gets the value of the read property.
    Returns:
      possible object is `String`

  - ### setRead

    public void setRead(Instant value)
    Sets the value of the read property.
    Parameters:
      `value` - allowed object is `String`